<body class="auth">

    <!-- begin::preloader-->
    <div class="preloader" style="display: none;">
        <div class="preloader-icon"></div>
    </div>
    <!-- end::preloader -->
    
    
        <div class="form-wrapper">
            <div class="container">
                <div class="card">
                    <div class="row g-0">
                        <div class="col">
                            <div class="row">
                                <div class="col-md-10 offset-md-1">
                                    <div class="ltf-block-logo d-block d-lg-none text-center text-lg-start">
                                        <img width="120" src="https://vetra.laborasyon.com/assets/images/logo.svg" alt="logo">
                                    </div>
                                    <div class="my-5 text-center text-lg-start">
                                        <h1 class="display-8">Create Account</h1>
                                        <p class="text-muted">You can create a free account now</p>
                                    </div>
                                    <form class="mb-5" [formGroup]="registerentrepriseForm">
                                        <div class="mb-3">
                                            <input type="text" formControlName="firstName" class="form-control" placeholder="Enter firstname" autofocus="" required="">
                                        </div>
                                        <div class="mb-3">
                                            <input type="text" formControlName="lastName" class="form-control" placeholder="Enter last name" required="">
                                        </div>
                                        
                                 
                                        <div class="mb-3">
                                            <input type="text" formControlName="username"class="form-control" placeholder="user name" required="">
                                        </div>
                                        <div class="mb-3">
                                            <input type="text" formControlName="adresse" class="form-control" placeholder="Enter adresse" required="">
                                        </div>

                                        <div class="mb-3">
                                            <input type="text" formControlName="tel" class="form-control" placeholder="Enter le numéro de téléphone" required="">
                                        </div>
                                        


                                        <div class="mb-3">
                                            <input type="password" formControlName="password" class="form-control" placeholder="password" required="">
                                        </div>

                                        <div class="group-input">
                                            <input type="file" (change)="handleFileInput($event)"
                                            name="file"  class="form-control form-control-user"
                                                id="exampleRepeatPassword" placeholder="file">
                                        </div>


                                        <div class="text-center text-lg-start">
                                            <button class="btn btn-primary" (click)="onsubmit()">Sign Up</button>
                                        </div>
                                    </form>
                                    
                                    <div class="social-links justify-content-center">
                                        <a href="#">
                                            <i class="ti-google bg-google"></i> Sign in with Google
                                        </a>
                                        <a href="#">
                                            <i class="ti-facebook bg-facebook"></i> Sign in with Facebook
                                        </a>
                                    </div>
                                    <p class="text-center d-block d-lg-none mt-5 mt-lg-0">
                                        Don't have an account? <a href="#">Sign In</a>.
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="col d-none d-lg-flex border-start align-items-center justify-content-between flex-column text-center">
                            <div class="logo">
                                <img width="120" src="https://vetra.laborasyon.com/assets/images/logo.svg" alt="logo">
                            </div>
                            <div>
                                <h3 class="fw-bold">Welcome to Vetra!</h3>
                                <p class="lead my-5">Do you already have an account?</p>
                                <a href="#" class="btn btn-primary">Sign In</a>
                            </div>
                            <ul class="list-inline">
                                <li class="list-inline-item">
                                    <a href="#">Privacy Policy</a>
                                </li>
                                <li class="list-inline-item">
                                    <a href="#">Terms &amp; Conditions</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
    
    <!-- Bundle scripts -->
    <script src="../../libs/bundle.js"></script>
    
    <!-- Main Javascript file -->
    <script src="../../dist/js/app.min.js"></script>
    
    
    <!-- Mirrored from vetra.laborasyon.com/demos/default/register.html by HTTrack Website Copier/3.x [XR&CO'2014], Thu, 21 Apr 2022 13:47:29 GMT -->
    
    <style>
        .item-action-buttons {
            display: flex;
            flex-direction: column;
            position: fixed;
            right: 0;
            top: 50%;
            transform: translateY(-50%);
            box-shadow: 0 1px 20px 0 rgb(0 0 0 / 7%);
        }
    
        .item-action-buttons a {
            width: 50px;
            height: 50px;
            background: #ffc863;
            border: none;
            padding: 0;
            display: flex;
            align-items: center;
            justify-content: center;
        }
    
        .item-action-buttons a:first-child {
            border-top-left-radius: 5px;
        }
    
        .item-action-buttons a:last-child {
            border-bottom-left-radius: 5px;
        }
    
        .item-action-buttons a:hover {
            background: #f2bb58;
        }
    
        .item-action-buttons a svg {
            pointer-events: none;
            fill: black;
        }
    </style>
    
    <div class="item-action-buttons">
                <a href="https://laborasyon.com/demo/vetra" target="_blank" title="Other Demos">
                <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 16 16">
                    <path d="M6 1H1v14h5V1zm9 0h-5v5h5V1zm0 9v5h-5v-5h5zM0 1a1 1 0 0 1 1-1h5a1 1 0 0 1 1 1v14a1 1 0 0 1-1 1H1a1 1 0 0 1-1-1V1zm9 0a1 1 0 0 1 1-1h5a1 1 0 0 1 1 1v5a1 1 0 0 1-1 1h-5a1 1 0 0 1-1-1V1zm1 8a1 1 0 0 0-1 1v5a1 1 0 0 0 1 1h5a1 1 0 0 0 1-1v-5a1 1 0 0 0-1-1h-5z"></path>
                </svg>
            </a>
                                <a href="https://themeforest.net/item/vetra-ecommerce-html-admin-dashboard-template/32773560" target="_blank" title="Purchase Now">
                    <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 16 16">
                        <path d="M9 5.5a.5.5 0 0 0-1 0V7H6.5a.5.5 0 0 0 0 1H8v1.5a.5.5 0 0 0 1 0V8h1.5a.5.5 0 0 0 0-1H9V5.5z"></path>
                        <path d="M.5 1a.5.5 0 0 0 0 1h1.11l.401 1.607 1.498 7.985A.5.5 0 0 0 4 12h1a2 2 0 1 0 0 4 2 2 0 0 0 0-4h7a2 2 0 1 0 0 4 2 2 0 0 0 0-4h1a.5.5 0 0 0 .491-.408l1.5-8A.5.5 0 0 0 14.5 3H2.89l-.405-1.621A.5.5 0 0 0 2 1H.5zm3.915 10L3.102 4h10.796l-1.313 7h-8.17zM6 14a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm7 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0z"></path>
                    </svg>
                </a>
                    <a href="https://laborasyon.com/themes" target="_blank" title="Other Themes">
            <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 16 16">
                <path d="M0 3a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3zm5-1v12h9a1 1 0 0 0 1-1V3a1 1 0 0 0-1-1H5zM4 2H2a1 1 0 0 0-1 1v10a1 1 0 0 0 1 1h2V2z"></path>
            </svg>
        </a>
    </div>
    </body>
